package com.fjhx.mes.service.bom;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.bom.dto.BomInfoDto;
import com.fjhx.mes.entity.bom.dto.BomInfoSelectDto;
import com.fjhx.mes.entity.bom.po.BomInfo;
import com.fjhx.mes.entity.bom.vo.BomInfoVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * bom 服务类
 * </p>
 *
 * @author
 * @since 2023-03-29
 */
public interface BomInfoService extends BaseService<BomInfo> {

    /**
     * bom分页
     */
    Page<BomInfoVo> getPage(BomInfoSelectDto dto);

    /**
     * bom明细
     */
    BomInfoVo detail(Long id);

    /**
     * bom新增
     */
    void add(BomInfoDto bomInfoDto);

    /**
     * bom编辑
     */
    void edit(BomInfoDto bomInfoDto);

    /**
     * 获取bom版本号
     */
    List<BomInfo> getVersion(Long productId);

    /**
     * 切换版本
     */
    void editVersion(BomInfo bomInfo);

    /**
     * BOM添加 嘉兴双拓
     */
    void addByJxst(BomInfoDto bomInfoDto);

    /**
     * BOM修改 嘉兴双拓
     */
    void editByJxst(BomInfoDto bomInfoDto);
}
